﻿
.onlyYear{
	width:150px!important;
	height:265px;
	background-color:#eee;
}

.year-input-margin{
	margin-left: 10px!important;
}

.month-with-year{
	margin-left:395px!important;
}

.month-with-year-width{
	width:530px!important;
}

.flatpickr-calendar {
  background: transparent;
  overflow: hidden;
  max-height: 0;
  opacity: 0;
  visibility: hidden;
  text-align: center;
  padding: 10px;
  -webkit-animation: none;
		  animation: none;
  direction: ltr;
  border: 0;
  font-size: 14px;
  line-height: 24px;
  border-radius: 6px;
  position: absolute;
  width: 400px;
  box-sizing: border-box;
  -webkit-transition: top cubic-bezier(0, 1, 0.5, 1) 100ms;
  transition: top cubic-bezier(0, 1, 0.5, 1) 100ms;
  z-index: 999;
  background-color: #eee;
  box-shadow: 1px 0 0 #e6e6e6, -1px 0 0 #e6e6e6, 0 1px 0 #e6e6e6, 0 -1px 0 #e6e6e6, 0 3px 13px rgba(0,0,0,0.08);
}

.open2{
	opacity:1;
	visibility:visible;
	max-height: 640px;
	left:-300px;
	overflow: visible;
	background-color:#eee;
}
.flatpickr-calendar.open,
.flatpickr-calendar.inline {
  opacity: 1;
  visibility: visible;
  overflow: visible;
  max-height: 640px;

}
.flatpickr-calendar.open {
  display: inline-block;
  -webkit-animation: flatpickrFadeInDown 300ms cubic-bezier(0, 1, 0.5, 1);
		  animation: flatpickrFadeInDown 300ms cubic-bezier(0, 1, 0.5, 1);
}
.flatpickr-calendar.inline {
  display: block;
  position: relative;
  top: 2px;
}
.flatpickr-calendar.static {
  position: absolute;
  top: calc(100% + 12px);
}
.flatpickr-calendar.static.open {
  display: block;
}
.flatpickr-calendar.hasWeeks {
  width: auto;
}
.flatpickr-calendar.dateIsPicked.hasTime .flatpickr-time {
  height: 40px;
}
.noCalendar{
	width:160px;
	z-index:2000;
}
.flatpickr-calendar.noCalendar.hasTime .flatpickr-time {
  height: auto;
}
.flatpickr-calendar:before,
.flatpickr-calendar:after {
  position: absolute;
  display: block;
  pointer-events: none;
  content: '▴';
  height: 25px;
  width: 25px;
  left: 10px;
  top: -16px;
  font-size: 90px;
  color: #eee;
}

.flatpickr-calendar.rightMost:before,
.flatpickr-calendar.rightMost:after {
  left: auto;
  right: 210px;
}
.flatpickr-calendar:before {
  border-width: 5px;
  margin: 0 -5px;
}
.flatpickr-calendar:after {
  border-width: 4px;
  margin: 0 -4px;
}
.flatpickr-calendar.arrowTop:before,
.flatpickr-calendar.arrowTop:after {
  bottom: 100%;
}
.flatpickr-calendar.arrowTop:before {
  border-bottom-color: #e6e6e6;
}
.flatpickr-calendar.arrowTop:after {
  border-bottom-color: #fff;
}
.flatpickr-calendar.arrowBottom:before,
.flatpickr-calendar.arrowBottom:after {
  top: 100%;
}
.flatpickr-calendar.arrowBottom:before {
  border-top-color: #e6e6e6;
}
.flatpickr-calendar.arrowBottom:after {
  border-top-color: #fff;
}
.flatpickr-wrapper {
  position: relative;
  display: inline-block;
}
.flatpickr-month {
  background: transparent;
  color: rgba(0,0,0,0.9);
  fill: rgba(0,0,0,0.9);
  width: 235px;
  height: 28px;
  line-height: 24px;
  text-align: center;
  position: relative;
  margin-bottom: 10px;
  -webkit-user-select: none;
	 -moz-user-select: none;
	  -ms-user-select: none;
		  user-select: none;
}
.year-input-wrapper {
	position: absolute;
	margin-left: 270px;
	top: 16px;
}

.year-input-wrapper .list-group {
	height: 200px;
	overflow-y: scroll;
	width: 110px;
	border-radius: 4px;
}

.year-input-wrapper .list-group li.list-group-item {
	border: none;
	padding: 0;
	-webkit-user-select: none !important;
	-moz-user-select: none !important;
	-ms-user-select: none !important;
	user-select: none !important;
	cursor: pointer;
	color: #666;
}

.year-input-wrapper .list-group li.list-group-item:hover,
.year-input-wrapper .list-group li.list-group-item.year-active:hover {
	background-color: #fafafa;
}

.year-input-wrapper .list-group li.list-group-item.year-active {
	font-weight: bold;
	background-color: #fff;
	color: #333;
}

.year-input-wrapper select option {
	text-align: center;
	padding: 3px;
}

.year-input-wrapper .year-input-title {
	font-size: 120%;
	font-weight: 700;
	margin-bottom: 5px;
}

.month-input-wrapper {
	position: absolute;
	margin-left: 270px;
	top: 16px;
}

.list-group-item-month{
	background-color:#fff;
}

.month-input-wrapper .list-group {
	height: 200px;
	overflow-y: scroll;
	width: 110px;
	border-radius: 4px;
}

.month-input-wrapper .list-group li.list-group-item-month {
	border: none;
	padding: 0;
	-webkit-user-select: none !important;
	-moz-user-select: none !important;
	-ms-user-select: none !important;
	user-select: none !important;
	cursor: pointer;
	color: #666;
}

.month-input-wrapper .list-group li.list-group-item-month:hover,
.month-input-wrapper .list-group li.list-group-item-month.month-active:hover {
	background-color: #fafafa;
}

.month-input-wrapper .list-group li.list-group-item-month.month-active {
	font-weight: bold;
	background-color: #fff;
	color: #333;
}

.month-input-wrapper select option {
	text-align: center;
	padding: 3px;
}

.month-input-wrapper .year-input-title {
	font-size: 120%;
	font-weight: 700;
	margin-bottom: 5px;
}

.flatpickr-prev-month,
.flatpickr-next-month {
	text-decoration: none;
  cursor: pointer;
  position: absolute;
  top: 10px;
  height: 16px;
  line-height: 16px;
  font-weight: bold;
  font-size: 18px
}
.flatpickr-prev-month i,
.flatpickr-next-month i {
  position: relative;
}
.flatpickr-prev-month.flatpickr-prev-month,
.flatpickr-next-month.flatpickr-prev-month {
/*
		/*rtl:begin:ignore*/
/*
		*/
  left: calc(3.57% - 1.5px);
/*
		/*rtl:end:ignore*/
/*
		*/
}
/*
		/*rtl:begin:ignore*/
/*
		/*rtl:end:ignore*/
.flatpickr-prev-month.flatpickr-next-month,
.flatpickr-next-month.flatpickr-next-month {
/*
		/*rtl:begin:ignore*/
/*
		*/
  right: calc(3.57% - 1.5px);
/*
		/*rtl:end:ignore*/
/*
		*/
}
/*
		/*rtl:begin:ignore*/
/*
		/*rtl:end:ignore*/
.flatpickr-prev-month:hover,
.flatpickr-next-month:hover {
  color: #959ea9;
}
.flatpickr-prev-month:hover svg,
.flatpickr-next-month:hover svg {
  fill: #f64747;
}
.flatpickr-prev-month svg,
.flatpickr-next-month svg {
  width: 14px;
}
.flatpickr-prev-month svg path,
.flatpickr-next-month svg path {
  -webkit-transition: fill 0.1s;
  transition: fill 0.1s;
  fill: inherit;
}
.numInputWrapper {
  position: relative;
  height: auto;
}
.numInputWrapper input,
.numInputWrapper span {
  display: inline-block;
}
.numInputWrapper input {
  width: 100%;
}
.numInputWrapper span {
  position: absolute;
  right: 0;
  width: 14px;
  padding: 0 4px 0 2px;
  height: 50%;
  line-height: 50%;
  opacity: 0;
  cursor: pointer;
  border: 1px solid rgba(57,57,57,0.05);
  box-sizing: border-box;
}
.numInputWrapper span:hover {
  background: rgba(0,0,0,0.1);
}
.numInputWrapper span:active {
  background: rgba(0,0,0,0.2);
}
.numInputWrapper span:after {
  display: block;
  content: "";
  position: absolute;
  top: 33%;
}
.numInputWrapper span.arrowUp {
  top: 0;
  border-bottom: 0;
}
.numInputWrapper span.arrowUp:after {
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
  border-bottom: 4px solid rgba(57,57,57,0.6);
}
.numInputWrapper span.arrowDown {
  top: 50%;
}
.numInputWrapper span.arrowDown:after {
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
  border-top: 4px solid rgba(57,57,57,0.6);
}
.numInputWrapper span svg {
  width: inherit;
  height: auto;
}
.numInputWrapper span svg path {
  fill: rgba(0,0,0,0.5);
}
.numInputWrapper:hover {
  background: rgba(0,0,0,0.05);
}
.numInputWrapper:hover span {
  opacity: 1;
}
.flatpickr-current-month {
  font-size: 130%;
  line-height: inherit;
  font-weight: 300;
  color: inherit;
  position: absolute;
  width: 75%;
  left: 12.5%;
  top: 5px;
  display: inline-block;
  text-align: center;
}
.flatpickr-current-month span.cur-month {
  font-family: inherit;
  font-weight: 700;
  color: inherit;
  display: inline-block;
  margin-left: 7px;
  padding: 0;
}
.flatpickr-current-month span.cur-month:hover {
  cursor: default;
}
.flatpickr-current-month .numInputWrapper {
  width: 6ch;
  display: inline-block;
}
.flatpickr-current-month .numInputWrapper span.arrowUp:after {
  border-bottom-color: rgba(0,0,0,0.9);
}
.flatpickr-current-month .numInputWrapper span.arrowDown:after {
  border-top-color: rgba(0,0,0,0.9);
}
.flatpickr-weekdays {
  background: transparent;
  text-align: center;
  overflow: hidden;
}
.flatpickr-days,
.flatpickr-weeks {
  padding: 1px 0 0 0;
}
.flatpickr-days {
  padding: 0;
  outline: 0;
  text-align: left;
  width: 235px;
  box-sizing: border-box;
  display: inline-block;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
	  flex-wrap: wrap;
  -ms-flex-pack: distribute;
	  justify-content: space-between;
}
.flatpickr-day {
  background: none;
  border: 1px solid transparent;
  border-radius: 150px;
  box-sizing: border-box;
  color: #393939;
  cursor: pointer;
  font-weight: 400;
  width: 14.2857143%;
  -ms-flex-preferred-size: 14.2857143%;
	  flex-basis: 14.2857143%;
  max-width: 40px;
  height: 30px;
  line-height: 30px;
  margin: 0;
  display: inline-block;
  position: relative;
  -webkit-box-pack: center;
	  -ms-flex-pack: center;
		  justify-content: center;
  text-align: center;
}
.flatpickr-day.inRange,
.flatpickr-day.prevMonthDay.inRange,
.flatpickr-day.nextMonthDay.inRange,
.flatpickr-day.today.inRange,
.flatpickr-day.prevMonthDay.today.inRange,
.flatpickr-day.nextMonthDay.today.inRange,
.flatpickr-day:hover,
.flatpickr-day.prevMonthDay:hover,
.flatpickr-day.nextMonthDay:hover,
.flatpickr-day:focus,
.flatpickr-day.prevMonthDay:focus,
.flatpickr-day.nextMonthDay:focus {
  cursor: pointer;
  outline: 0;
  background: #e6e6e6;
  border-color: #e6e6e6;
}
	.flatpickr-day.nextMonthDay {
		visibility: hidden;
	}
	.flatpickr-day.prevMonthDay {
		visibility: collapse;
	}
.flatpickr-day.today {
  border-color: #959ea9;
}
.flatpickr-day.today:hover,
.flatpickr-day.today:focus {
  border-color: #959ea9;
  background: #959ea9;
  color: #fff;
}
.flatpickr-day.selected,
.flatpickr-day.startRange,
.flatpickr-day.endRange,
.flatpickr-day.selected:focus,
.flatpickr-day.startRange:focus,
.flatpickr-day.endRange:focus,
.flatpickr-day.selected:hover,
.flatpickr-day.startRange:hover,
.flatpickr-day.endRange:hover,
.flatpickr-day.selected.prevMonthDay,
.flatpickr-day.startRange.prevMonthDay,
.flatpickr-day.endRange.prevMonthDay,
.flatpickr-day.selected.nextMonthDay,
.flatpickr-day.startRange.nextMonthDay,
.flatpickr-day.endRange.nextMonthDay {
  background: #569ff7;
  color: #fff;
  border-color: #569ff7;
}
.flatpickr-day.selected.startRange,
.flatpickr-day.startRange.startRange,
.flatpickr-day.endRange.startRange {
  border-radius: 50px 0 0 50px;
}
.flatpickr-day.selected.endRange,
.flatpickr-day.startRange.endRange,
.flatpickr-day.endRange.endRange {
  border-radius: 0 50px 50px 0;
}
.flatpickr-day.inRange {
  border-radius: 0;
  box-shadow: -5px 0 0 #e6e6e6, 5px 0 0 #e6e6e6;
}
.flatpickr-day.disabled,
.flatpickr-day.disabled:hover {
  pointer-events: none;
}
.flatpickr-day.disabled,
.flatpickr-day.disabled:hover,
.flatpickr-day.prevMonthDay,
.flatpickr-day.nextMonthDay,
.flatpickr-day.notAllowed,
.flatpickr-day.notAllowed.prevMonthDay,
.flatpickr-day.notAllowed.nextMonthDay {
  color: rgba(57,57,57,0.3);
  background: transparent;
  border-color: transparent;
  cursor: default;
}
span.flatpickr-weekday {
  cursor: default;
  font-size: 100%;
  color: #444;
  height: 27.333333333333332px;
  line-height: 24px;
  margin: 0;
  background: transparent;
  text-align: center;
  display: block;
  float: left;
  width: 14.28%;
  font-weight:bold;
  margin: 0;
  padding-top: 3.333333333333333px;
}
.rangeMode .flatpickr-day {
  margin-top: 1px;
}
.flatpickr-weekwrapper {
  display: inline-block;
  float: left;
}
.flatpickr-weekwrapper .flatpickr-weeks {
  padding: 1px 12px 0 12px;
  box-shadow: 1px 0 0 #e6e6e6;
}
.flatpickr-weekwrapper .flatpickr-weekday {
  float: none;
  width: 100%;
}
.flatpickr-weekwrapper span.flatpickr-day {
  display: block;
  width: 100%;
  max-width: none;
}
.flatpickr-innerContainer {
  display: block;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  box-sizing: border-box;
  overflow: hidden;
}
.flatpickr-rContainer {
  display: inline-block;
  padding: 0;
  box-sizing: border-box;
}
.flatpickr-time {
  text-align: center;
  outline: 0;
  display: block;
  height: 0;
  line-height: 40px;
  max-height: 40px;
  box-sizing: border-box;
  overflow: hidden;
  -webkit-transition: height 0.33s cubic-bezier(0, 1, 0.5, 1);
  transition: height 0.33s cubic-bezier(0, 1, 0.5, 1);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
.flatpickr-time:after {
  content: "";
  display: table;
  clear: both;
}
.flatpickr-time .numInputWrapper {
  -webkit-box-flex: 1;
	  -ms-flex: 1;
		  flex: 1 1 0%;
  width: 40%;
  height: 40px;
  float: left;
}
.flatpickr-time .numInputWrapper span.arrowUp:after {
  border-bottom-color: #393939;
}
.flatpickr-time .numInputWrapper span.arrowDown:after {
  border-top-color: #393939;
}
.flatpickr-time.hasSeconds .numInputWrapper {
  width: 26%;
}
.flatpickr-time.time24hr .numInputWrapper {
  width: 49%;
}
.flatpickr-time input {
  background: transparent;
  box-shadow: none;
  border: 0;
  border-radius: 0;
  text-align: center;
  margin: 0;
  padding: 0;
  height: inherit;
  line-height: inherit;
  cursor: pointer;
  color: #393939;
  font-size: 14px;
  position: relative;
  box-sizing: border-box;
}
.flatpickr-time input.flatpickr-hour {
  font-weight: bold;
}
.flatpickr-time input.flatpickr-minute,
.flatpickr-time input.flatpickr-second {
  font-weight: 400;
}
.flatpickr-time input:focus {
  outline: 0;
  border: 0;
}
.flatpickr-time .flatpickr-time-separator,
.flatpickr-time .flatpickr-am-pm {
  height: inherit;
  display: inline-block;
  float: left;
  line-height: inherit;
  color: #393939;
  font-weight: bold;
  width: 2%;
  -webkit-user-select: none;
	 -moz-user-select: none;
	  -ms-user-select: none;
		  user-select: none;
}
.flatpickr-time .flatpickr-am-pm {
  outline: 0;
  width: 18%;
  cursor: pointer;
  text-align: center;
  font-weight: 400;
}
.flatpickr-time .flatpickr-am-pm:hover,
.flatpickr-time .flatpickr-am-pm:focus {
  background: #f0f0f0;
}
.hasWeeks .flatpickr-days,
.hasTime .flatpickr-days {
  border-bottom: 0;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}
.hasWeeks .flatpickr-days {
  border-left: 0;
}
@media all and (-ms-high-contrast: none) {
  .flatpickr-month {
	padding: 0;
  }
  .flatpickr-month svg {
	top: 0 !important;
  }
}
@-webkit-keyframes flatpickrFadeInDown {
  from {
	opacity: 0;
	-webkit-transform: translate3d(0, -20px, 0);
			transform: translate3d(0, -20px, 0);
  }
  to {
	opacity: 1;
	-webkit-transform: none;
			transform: none;
  }
}
@keyframes flatpickrFadeInDown {
  from {
	opacity: 0;
	-webkit-transform: translate3d(0, -20px, 0);
			transform: translate3d(0, -20px, 0);
  }
  to {
	opacity: 1;
	-webkit-transform: none;
			transform: none;
  }
}

.flatpickr-calendar .vertical-line {
	position: absolute;
	height: 240px;
	border-left: solid 2px white;
	border-radius: 3px;
	top: 12px;
	left: 260px;
}

#row input.form-control.flatpickr-input {
	background-color: #eee;
	border: none;
}

.hide{
	display:none;
}

.calendar-cancel-btn{
	margin-right:10px;
}

.buttons-block{
	float:right;
}
